欢迎光临
分享是一种快乐!

PHP7.3编译安装常见错误及解决办法

1、configure: error: Please reinstall the libzip distribution
解决方法一,安装1.2.0版本的libzip:

wget https://nih.at/libzip/libzip-1.2.0.tar.gz
tar -zxvf libzip-1.2.0.tar.gz
cd libzip-1.2.0
./configure
make && make install

解决办法二,安装最新版本的libzip
访问libzip网站查看最新版本,如图

下载最新版本并安装(如果在cmake …时报错,请看下一步操作):

wget https://nih.at/libzip/libzip-1.5.2.tar.gz
tar zxvf libzip-1.5.2.tar.gz
cd libzip-1.5.2
mkdir build
cd build
cmake ..
make
make test
make install

2、提示CMAKE版本太低
[WARNING] CMake Error at CMakeLists.txt:23 (cmake_minimum_required):
[WARNING] CMake 3.1 or higher is required. You are running version 2.8.12.2
解决方法:升级cmake,cmake版本列表

cd /opt
wget https://cmake.org/files/v3.14/cmake-3.14.0-Linux-x86_64.tar.gz
yum remove cmake
cd /opt
tar zxvf cmake-3.14.0-Linux-x86_64.tar.gz
export CMAKE_HOME=/opt/cmake-3.14.0-Linux-x86_64
export PATH=$PATH:$CMAKE_HOME/bin
source /etc/profile
cmake -version

3、configure: error: off_t undefined; check your library configuration

# 解决方法
# 添加搜索路径到配置文件
echo '/usr/local/lib64
/usr/local/lib
/usr/lib
/usr/lib64'>>/etc/ld.so.conf
# 更新配置
ldconfig -v

4、/usr/local/include/zip.h:59:21: fatal error: zipconf.h: No such file or dire

cp /usr/local/lib/libzip/include/zipconf.h /usr/local/include/zipconf.h

 

免责声明

注意:本站资源多为网络收集,如涉及版权问题请在下方留言,我们马上进去删除!
本文永久地址: https://www.23jcw.net/23422.html
赞(1)
未经允许不得转载:爱尚教程网 » PHP7.3编译安装常见错误及解决办法
分享到: 更多 (0)

相关推荐

  • 暂无文章

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址